TagLib::MPEG::Properties Class Reference

An implementation of audio property reading for MP3. More...

`#include <mpegproperties.h>`

Inheritance diagram for TagLib::MPEG::Properties:
[legend]
Collaboration diagram for TagLib::MPEG::Properties:
[legend]

## Public Member Functions

| Properties (File *file, ReadStyle style=Average)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
const XingHeader * | xingHeader () const
Header::Version | version () const
int | layer () const
bool | protectionEnabled () const
Header::ChannelMode | channelMode () const
Header::ChannelConfiguration | channelConfiguration () const
bool | isADTS () const
bool | isCopyrighted () const
bool | isOriginal () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for MP3.

This reads the data from an MPEG Layer III stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::MPEG::Properties::Properties | ( | File * | file,
|  | ReadStyle | style = Average )

Create an instance of MPEG::Properties with the data read from the MPEG::File file.

References TagLib::AudioProperties::Average.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::MPEG::Properties::~Properties | ( |  | ) |

override

Destroys this MPEG Properties instance.

## Properties() [2/2]

TagLib::MPEG::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::MPEG::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## channelConfiguration()

Header::ChannelConfiguration TagLib::MPEG::Properties::channelConfiguration | ( |  | ) | const

Returns the MPEG-4 channel configuration.

## channelMode()

Header::ChannelMode TagLib::MPEG::Properties::channelMode | ( |  | ) | const

Returns the channel mode for this frame.

## channels()

int TagLib::MPEG::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## isADTS()

bool TagLib::MPEG::Properties::isADTS | ( |  | ) | const

Returns `true` for an Audio Data Transport Stream (ADTS), usually AAC.

## isCopyrighted()

bool TagLib::MPEG::Properties::isCopyrighted | ( |  | ) | const

Returns `true` if the copyrighted bit is set.

## isOriginal()

bool TagLib::MPEG::Properties::isOriginal | ( |  | ) | const

Returns `true` if the "original" bit is set.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## layer()

int TagLib::MPEG::Properties::layer | ( |  | ) | const

Returns the layer version. This will be between the values 1-3.

## lengthInMilliseconds()

int TagLib::MPEG::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::MPEG::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## protectionEnabled()

bool TagLib::MPEG::Properties::protectionEnabled | ( |  | ) | const

Returns `true` if the MPEG protection bit is enabled.

## sampleRate()

int TagLib::MPEG::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

## version()

Header::Version TagLib::MPEG::Properties::version | ( |  | ) | const

Returns the MPEG Version of the file.

## xingHeader()

const XingHeader * TagLib::MPEG::Properties::xingHeader | ( |  | ) | const

Returns a pointer to the Xing/VBRI header if one exists or null if no Xing/VBRI header was found.

The documentation for this class was generated from the following file:

- mpegproperties.h